Subject: Compiling ncurses-4.1 and less-332
From: [email-masked] (chris yambo)

10 Mar 1998 22:39:29 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="------------2C12046C319F587F5E5C3E28"
To: [email-masked]

This is a multi-part message in MIME format.
--------------2C12046C319F587F5E5C3E28
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

I got ncurses to compile and install fine under b19, it was a relatively
painless procedure also.  I dont know if anyone else did this but I saw
that people had problems compiling it.  all I did was
sh Configure
make
(this make produces an access violation)
run make again
and that is all I had to do.  The only problem is that when I try to rin
the test programs it doesnt know how to open the terminal even when I
set it to something other than dumb.

now after I installed ncurses I compiled less, that gave me a few
problems. This is how I got it to compile
sh Configure
make
this will run until it spits out an error saying that iprintf was
redefined with a different prototype.  So I temporarilly commented out
the line in stdio.h and ran make again.
now it should be compiled, but in order to install it run the attached
patch to fix the makefile. then run make install and its done.
Sorry if this is redundant information I have only been reading the list
for a few days now.  
-- 
chris
_____________________________________________________
+-----------------------+thought bubble productions
web+--------------------+http://www.thoughtbubble.com
[email-masked]
--------------2C12046C319F587F5E5C3E28
Content-Type: text/plain; charset=us-ascii; name="less.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline; filename="less.diff"

*** Makefile.old	Tue Mar 10 18:25:47 1998
--- Makefile	Tue Mar 10 18:15:33 1998
*** 58,66 ****
  ${OBJ}: ${srcdir}/less.h ${srcdir}/funcs.h defines.h 
  
  install: all ${srcdir}/less.nro ${srcdir}/lesskey.nro installdirs
! 	${INSTALL_PROGRAM} less ${bindir}/${binprefix}less
! 	${INSTALL_PROGRAM} lesskey ${bindir}/${binprefix}lesskey
! 	${INSTALL_PROGRAM} lessecho ${bindir}/${binprefix}lessecho
  	${INSTALL_DATA} ${srcdir}/less.nro ${mandir}/${manprefix}less.${manext}
  	${INSTALL_DATA} ${srcdir}/lesskey.nro ${mandir}/${manprefix}lesskey.${manext}
  
--- 58,66 ----
  ${OBJ}: ${srcdir}/less.h ${srcdir}/funcs.h defines.h 
  
  install: all ${srcdir}/less.nro ${srcdir}/lesskey.nro installdirs
! 	${INSTALL_PROGRAM} less.exe ${bindir}/${binprefix}less.exe
! 	${INSTALL_PROGRAM} lesskey.exe ${bindir}/${binprefix}lesskey.exe
! 	${INSTALL_PROGRAM} lessecho.exe ${bindir}/${binprefix}lessecho.exe
  	${INSTALL_DATA} ${srcdir}/less.nro ${mandir}/${manprefix}less.${manext}
  	${INSTALL_DATA} ${srcdir}/lesskey.nro ${mandir}/${manprefix}lesskey.${manext}

--------------2C12046C319F587F5E5C3E28--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".